Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 0.6SynchronousAuth Required
SyncVolumeSize
SyncVolumeSize
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe volume UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/volumes/{uuid}/actions
/zstack/v1/volumes/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "d0cd0413d1b241fca524322b56f4687d", "name": "test-volume", "primaryStorageUuid": "8dea01cf7afb4d7bb89ea432fc15258e", "vmInstanceUuid": "f93fa5fea43f42449409c35914c47732", "diskOfferingUuid": "a2915a283c744389a6bae0d42b203e18", "rootImageUuid": "da66399cb83048b0b87fa113ddcd3755", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-d0cd0413d1b241fca524322b56f4687d/d0cd0413d1b241fca524322b56f4687d.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Jun 7, 2017 9:21:08 PM", "lastOpDate": "Jun 7, 2017 9:21:08 PM" } }Change History
This API has no change history records yet.
